<?php
// * Gestion des conferences, plugin pour SPIP * //

if (!defined("_ECRIRE_INC_VERSION")) return;


global $tables_principales;
global $tables_auxiliaires;




$spip_gesconfs_people = array(
  "`id_people`" 	=> "int(11) NOT NULL auto_increment",
  "`nom`" 			=> "varchar(30) NOT NULL DEFAULT ''",
  "`prenom`" 		=> "varchar(30) NOT NULL DEFAULT ''",
  "`email`" 		=> "varchar(40) NOT NULL DEFAULT ''",
  "`institut`"		=> "varchar(50) NOT NULL DEFAULT ''",
  "`addresse1`" 	=> "varchar(50) NOT NULL DEFAULT ''",
  "`addresse2`"  	=> "varchar(50) NOT NULL DEFAULT ''",
  "`zip`"  			=> "varchar(10) NOT NULL DEFAULT ''",
  "`ville`"  		=> "varchar(50) NOT NULL DEFAULT ''",
  "`pays`" 	 		=> "varchar(40) NOT NULL DEFAULT ''",
  "`tel1`" 	 		=> "varchar(20) NOT NULL DEFAULT ''",
  "`tel2`" 	 		=> "varchar(20) NOT NULL DEFAULT ''",
  "`fax`" 	 		=> "varchar(20) NOT NULL DEFAULT ''",
  "`passwd`" 	 	=> "varchar(15) NOT NULL DEFAULT ''");
  

$spip_gesconfs_people_key = array(
	"PRIMARY KEY" 	=> "id_people",
	"KEY email" 	=> "email");
	
	
$tables_principales['spip_gesconfs_people'] = array(
	'field' => &$spip_gesconfs_people,
	'key' 	=> &$spip_gesconfs_people_key);



$spip_gesconfs_people_conf = array(
  "`id_people`"  		=> "int(11) NOT NULL default '0'",
  "`id_conf`"  			=> "int(11) NOT NULL default '0'",
  "`lunch`"  			=> "char(1) NOT NULL default ''",
  "`remote`"  			=> "char(1) NOT NULL default ''",
  "`arrival`"  			=> "varchar(20) NOT NULL default ''",
  "`departure`"  		=> "varchar(20) NOT NULL default ''",
  "`presentation`"  	=> "char(1) NOT NULL default ''",
  "`title`"  			=> "varchar(120) NOT NULL default ''",
  "`myabstract`"  		=> "text NOT NULL",
  "`comments`"  		=> "varchar(250) NOT NULL default ''"
  );
  
 
 
$spip_gesconfs_people_conf_key = array(
	"KEY id_people" => "id_people",
	"KEY id_conf" => "id_conf");
	
	
$tables_principales['spip_gesconfs_people_conf'] = array(
	'field' => &$spip_gesconfs_people_conf,
	'key' => &$spip_gesconfs_people_conf_key);
	  
  



//-- Relations ----------------------------------------------------

//global $tables_jointures;
//$tables_jointures['spip_auteurs'][] = 'zones_auteurs';
//$tables_jointures['spip_zones'][] = 'zones_auteurs';

//$tables_jointures['spip_rubriques'][] = 'zones_rubriques';
//$tables_jointures['spip_zones'][] = 'zones_rubriques';

//-- Table des tables ----------------------------------------------------

global $table_des_tables;
$table_des_tables['gesconfs']='gesconfs';
global $spip_version_code;
if (version_compare($spip_version_code,'1.9250','<')) {
	$table_des_tables['gesconfs_people_conf']='gesconfs_people_conf'; 
	$table_des_tables['gesconfs_people']='gesconfs_people'; 
}

?>